#!/bin/sh
#*******************************************************************************
# Licensed Materials - Property of IBM
# (c) Copyright IBM Corporation 2006, 2012. All Rights Reserved.
#
# Note to U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#*******************************************************************************
#
# -----------------------------------------------------------
#                jbe.sh
#
#  Use this script to start the RTC Build Engine on IBM i.
#
#  Usage:
#     jbe.sh -jobName JOBNAME -repository SERVERNAME -engineID ENGINENAME -userId USERNAME -pass PASSWORD
#
#  Where:
#    JOBNAME is the given job name
#    SERVERNAME is the URI for the RTCi server
#    ENGINENAME is the name of this RTCi build engine instance (must match engine name in RTCi server)
#    USERNAME is a RTCi userID which is licensed to build (this is not necessarily the USRPRF name)
#    PASSWORD is the password for this RTCi userId
#
#  Example of usage:
#
#    jbe.sh -jobName QRTCBLD -repository https://localhost:9443/jazz -engineID BuildEngine1 -userId myjazzname -pass myjazzpwd
#    jbe.sh -interative -repository https://localhost:9443/jazz -engineID BuildEngine1 -userId myjazzname -pass myjazzpwd
#
#
# -----------------------------------------------------------

# set the location of the eclipse build engine to launch
export BUILD_ECLIPSE=.
#echo BUILD_ECLIPSE=$BUILD_ECLIPSE

# Use the J9 1.6 JDK
export JAVA_HOME=/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit

# Comment the line above and uncomment the line below to use the J9 1.7 JDK
#export JAVA_HOME=/QOpenSys/QIBM/ProdData/JavaVM/jdk70/32bit

#echo PATH=$JAVA_HOME/bin:$PATH

# Set up trace
# export QIBM_JBE_TRACE=STARTUP
# echo QIBM_JBE_TRACE=$QIBM_JBE_TRACE

cd $BUILD_ECLIPSE
exec $JAVA_HOME/bin/java -Djava.protocol.handler.pkgs=com.ibm.net.ssl.www2.protocol -Xmx300m -Dosgi.requiredJavaVersion=1.6 -cp plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar org.eclipse.equinox.launcher.Main -application com.ibm.teamp.build.engine.startBuildEngine $BUILD_ECLIPSE "$JAVA_HOME/bin/java"  "-cp" "$BUILD_ECLIPSE/plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar" "-DDB2I_JDBC=/QIBM/ProdData/HTTP/Public/jt400/lib org.eclipse.equinox.launcher.Main -application com.ibm.team.build.engine.jazzBuildEngine" "$@"
